Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface Match

All Superinterfaces:
  XmlSerializable

All Known Implementing Classes:
  ComplexMatch, MatchCorrelation, SimpleMatch

public interface Match
extends XmlSerializable

Match represents correlation expressions formatted with the MUWS Simple Property Boolean Match (PBM) schema. PBM allows the user to declare fairly complex conditionals for evaluating two resources for equality. The official PBM Match types are Match, MatchAll, and MatchAny.

Author:
  Dan Jemiolo (danj)

Method Summary
`void` | `addMatch(Match child)`
`java.util.List` | `getMatches()`
`WsResource` | `getWsResource()`
`boolean` | `matches(EndpointReference epr)`
`void` | `removeMatch(Match child)`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Method Detail

### addMatch

    public void addMatch(Match child)

  Parameters:
    `child` - A subexpression that must be evaluated as part of this larger expression.

### getMatches

    public java.util.List getMatches()

  Returns:
    An ordered list of subexpressions in this Match. If there are no subexpressions, the list is empty.

### getWsResource

    public WsResource getWsResource()

  Returns:
    The local resource that is defining the CorrelatableProperties capability and, thus, this correlation expression.

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Parameters:
    `epr` - The EPR to another resource which may be the same as this resource.
  Returns:
    True if the two resources are the same according to the conditional test executed by the Match.
  Throws:
    `SoapFault`

### removeMatch

    public void removeMatch(Match child)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD